[PAB3] Analyze the results of the third portal A/B test
Closed, ResolvedPublic4 Story Points

Description

See the epic T121567 for more details on this task and test.

debt created this task.Jan 19 2016, 11:04 PM
debt added subscribers: Deskana, Aklapper, Ironholds and 2 others.
debt changed the title from "[PAB2] Analysis the testing for Portal lang detection preferences " to "[PAB3] Analysis the testing for Portal lang detection preferences ".Jan 20 2016, 8:27 PM
debt set Security to None.
debt changed the title from "[PAB3] Analysis the testing for Portal lang detection preferences " to "[PAB3] Analyze the testing for Portal lang detection preferences ".Jan 20 2016, 10:28 PM
debt moved this task from Needs triage to Analysis on the Discovery board.Jan 20 2016, 10:31 PM

@debt Do you have an estimate for when the test for this is going live? This task is time-bounded (it can only be performed after a certain date), but we're not sure of what those dates are here.

Deskana moved this task from Analysis to On Sprint Board on the Discovery board.Feb 2 2016, 8:59 PM
Ironholds changed the title from "[PAB3] Analyze the testing for Portal lang detection preferences " to "[PAB3] Analyze the results of the 3rd A/B test".Feb 2 2016, 9:06 PM
Deskana changed the title from "[PAB3] Analyze the results of the 3rd A/B test" to "[PAB3] Analyze the results of the third portal A/B test".Mar 3 2016, 9:13 PM

The actual test for this should be deployed early next week; this task should be actionable the week after that, since the test is running for a week and the analysis is performed afterwards.

This task is being removed from the sprint; see T124114#2130925 for more information.

Deskana moved this task from On Sprint Board to Analysis on the Discovery board.

Also removing the epic tag, as this task does not seem to be an epic.

Deskana removed a project: Epic.Mar 17 2016, 7:42 PM

According to the deployments page on wikitech, the code to turn this A/B test on is awaiting deployment. This task (and T124114) will be pulled into Discovery-Analysis (Current work) when that happens.

debt added a comment.Mar 23 2016, 6:10 PM

The code needed for this analysis has been pushed into wikipedia.org production as of March 22, 2016.

Readding to the sprint since this task is now actionable.

Deskana edited the task description. (Show Details)Mar 29 2016, 8:10 PM
Deskana moved this task from Analysis to On Sprint Board on the Discovery board.Mar 29 2016, 9:11 PM
mpopov claimed this task.Apr 5 2016, 3:26 PM
mpopov set the point value for this task to 4.
mpopov added a subscriber: TJones.Apr 20 2016, 7:21 PM

First draft: {F3900170}

@Deskana suggested that (due to the size and complexity of the analysis) @TJones should review the report if he has a chance and provide feedback if any.

@mpopov—happy to look it over!

Got some feedback from @TJones; will work on 2nd draft, which hopefully will end up being the final draft :)

Number of Accept-Languagesusersproportion of users
12980686.70%
2398911.60%
34101.19%
41250.36%
5240.07%
690.03%
730.01%
830.01%
.........
debt added a comment.Apr 21 2016, 11:48 PM

Just a note of the above table that @mpopov added - it was in response to the question I had on how many of our visitors (that were in the survey) had more than one "accepted" (preferred) languages set in their browser. An overwhelming majority of visitors to the wikipedia.org portal (86.7%) only have one default language in their browser settings.

debt closed this task as "Resolved".Apr 25 2016, 6:43 PM

Closing this ticket - all good work, @mpopov !